%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname coderay
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Fast syntax highlighter engine for many programming languages
Name: rubygem-%{gemname}
Version: 0.9.7
Release: 1%{?dist}
Group: Development/Languages
License: LGPLv2+
URL: http://coderay.rubychan.de
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(abi) = 1.8
Requires: rubygems
Requires: rubygem(term-ansicolor)
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Coderay is a Ruby library for syntax highlighting. CodeRay is build to be easy
to use and intuitive, but at the same time fully featured, complete, fast and
efficient. 


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
rm -rf %{buildroot}/%{geminstdir}/lib/term
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x
find %{buildroot}/%{geminstdir}/bin -type f | xargs sed -i 's/\r//' $FILES
sed -i 's/\r//' %{buildroot}/%{geminstdir}/FOLDERS
sed -i 's#\#!/usr/bin/env ruby##g' %{buildroot}/%{geminstdir}/lib/coderay/helpers/file_type.rb
sed -i 's#\#!/usr/bin/env ruby##g' %{buildroot}/%{geminstdir}/lib/coderay/token_classes.rb
chmod a-x %{buildroot}/%{geminstdir}/lib/coderay/token_classes.rb

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root, -)
%{_bindir}/coderay
%{_bindir}/coderay_stylesheet
%dir %{geminstdir}/
%dir %{geminstdir}/lib
%dir %{geminstdir}/test
%{geminstdir}/test/*
%{geminstdir}/bin
%{geminstdir}/lib/[cC]*
%doc %{gemdir}/doc/%{gemname}-%{version} 
%doc %{geminstdir}/FOLDERS
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/lib/README
%doc %{geminstdir}/Rakefile
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Thu Mar 10 2011 Jan Klepek <jan.klepek at, gmail.com> - 0.9.7-1
- updated to 0.9.7

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.312-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.312-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 03 2009 Jan Klepek <jan.klepekat, gmail.com> - 0.8.312-3
- correct directory ownership, fixed license

* Wed Jun 24 2009 Jan Klepek <jan.klepekat, gmail.com> - 0.8.312-2
- consistent macro usage, rewritten description, removed term-ansicolor during install

* Sun Jun 14 2009 Jan Klepek <jan.klepekat, gmail.com> - 0.8.312-1
- Initial package
